<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<title>JSdifflib Legacy</title>
	<link rel="icon" href="assets/img/favicon.ico" />
	<!-- natives CSS -->
	<link rel="stylesheet" type="text/css" href="assets/css/diffview.css" />
	<link rel="stylesheet" type="text/css" href="assets/css/demo.css" />
	<!-- Bootstrap CSS -->
	<link rel="stylesheet" type="text/css" href="vendor/twbs/bootstrap/dist/css/bootstrap.min.css" />
</head>
<body>

<!-- #################### main #################### -->
<main>
	<div class="container py-4">
		<div class="p-1 mb-1 bg-light rounded-3">
			<div class="container-fluid py-3">

				<div class="row pb-3">
					<div class="col"></div>
					<div class="col">
						<label for="contextSize" class="col-form-label">Context size (optional)</label>
						<input type="text" class="form-control form-control-sm" id="contextSize" value="" />
					</div>
					<div class="col"></div>
				</div>

				<div class="row pb-3">
					<div class="col text-center ps-3 pe-0">
						<h2>ORIGIN</h2>
						<textarea class="form-control" id="baseText"></textarea>
					</div>
					<div class="col text-center pe-3 ps-0">
						<h2>NEW</h2>
						<textarea class="form-control" id="newText"></textarea>
					</div>
				</div>

				<div class="row pb-3">
					<p class="text-center">
						<input type="radio" name="_viewtype" class="form-check-input" id="sidebyside" onclick="diffUsingJS(0);" />
						<label for="sidebyside" class="form-check-label">Side by Side Diff</label>
						&nbsp; &nbsp;
						<input type="radio" name="_viewtype" class="form-check-input" id="inline" onclick="diffUsingJS(1);" />
						<label for="inline" class="form-check-label">Inline Diff</label>
					</p>
				</div>

				<div class="row">
					<div class="col">
						<div id="diffoutput"></div>
					</div>
				</div>

			</div>
		</div>
		<!-- footer -->
		<footer class="pt-3 mt-4 text-muted border-top">
			<div class="container">
				<div class="row">
					<div class="col">
						<p>Powered by <a href="https://gitlab.com/fredericpetit/jsdifflib-legacy/" title="JSdifflib Legacy">JSdifflib Legacy</a> - Frédéric Petit &lt;contact AT fredericpetit.fr&gt;</p>
					</div>
				</div>
			</div>
		</footer>
	</div>
</main>

<!-- natives -->
<script type="text/javascript" src="assets/js/diffview.js"></script>
<script type="text/javascript" src="assets/js/difflib.js"></script>
<script type="text/javascript" src="assets/js/demo.js"></script>

</body>
</html>